<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
if(!defined("IN_FUSION") || !checkRights("IP")) {
	header("Location:../index.php");
	return;
}


unset($new_ver);
$mysql = array();
$old_ver = "";
$set_tbl = "";

// version <= 1.4.7
if(empty($old_ver)) {
	$query_id = @mysql_query("SELECT version"
		." FROM ".DB_PREFIX."prodownloads_settings"
		." WHERE id='1'");
	if($query_id && dbrows($query_id)) {
		$data = dbarray($query_id);
		if(isset($data['version']) && !empty($data['version'])) {
			$old_ver = $data['version'];
		}
	}
}
// version => 1.4.9
if(empty($old_ver)) {
	$query_id = @mysql_query("SELECT version"
		." FROM ".DB_PREFIX."pdp_settings"
		." WHERE id='1'");
	if($query_id && dbrows($query_id)) {
		$data = dbarray($query_id);
		$old_ver = $data['version'];
	}
}

switch($old_ver) {
case "1.4.6":
	$new_ver = "1.4.7";
	$set_tbl = DB_PREFIX."prodownloads_settings";

	$mysql[] = "ALTER TABLE ".DB_PREFIX."prodownloads"
		." ADD COLUMN dl_size varchar(20) NOT NULL default ''";

	$mysql[] = "ALTER TABLE ".DB_PREFIX."prodownloads_settings"
		." ADD COLUMN new_comm_pm tinyint(1) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."prodownloads_settings"
		." ADD COLUMN hide_cats tinyint(1) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."prodownloads_settings"
		." ADD COLUMN upload_file varchar(200) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."prodownloads_settings"
		." ADD COLUMN upload_image varchar(200) NOT NULL default ''";
	break;


case "1.4.7":
	$new_ver = "1.4.9";
	$set_tbl = DB_PREFIX."pdp_settings";

	// rename tables
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownloads"
                ." TO ".DB_PREFIX."pdp_downloads";
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownload_cats"
                ." TO ".DB_PREFIX."pdp_cats";
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownloads_bewertungen"
                ." TO ".DB_PREFIX."pdp_votes";
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownloads_kommentare"
                ." TO ".DB_PREFIX."pdp_comments";
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownloads_lizenz"
                ." TO ".DB_PREFIX."pdp_licenses";
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownloads_settings"
                ." TO ".DB_PREFIX."pdp_settings";
	$mysql[] = "RENAME TABLE ".DB_PREFIX."prodownloads_files"
                ." TO ".DB_PREFIX."pdp_files";

	// modify pdp_downloads table
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN datestamp dl_ctime int(10) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN name dl_name varchar(100) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN beschreibung dl_desc text NOT NULL";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN copyright dl_copyright varchar(200) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." DROP PRIMARY KEY,"
		." CHANGE COLUMN id dl_id smallint(5) unsigned NOT NULL auto_increment,"
		." ADD PRIMARY KEY(dl_id)";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN cat cat_id smallint(5) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN bild dl_pic varchar(255) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN downloads dl_count int(10) NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN homepage dl_homepage varchar(255) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN status dl_status char(1) NOT NULL default 'N'";
	// add
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." ADD COLUMN dl_mtime int(10) unsigned NOT NULL default '0'";

	// modify pdp_cats
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_cats"
		." DROP PRIMARY KEY,"
		." CHANGE COLUMN cat cat_id smallint(5) unsigned NOT NULL auto_increment,"
		." ADD PRIMARY KEY(cat_id)";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_cats"
		." CHANGE COLUMN top_cat top_cat smallint(5) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_cats"
		." CHANGE COLUMN name cat_name varchar(50) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_cats"
		." CHANGE COLUMN beschreibung cat_desc varchar(255) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_cats"
		." CHANGE COLUMN sorting cat_sorting varchar(50) NOT NULL default 'name ASC'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_cats"
		." CHANGE COLUMN access cat_access tinyint(3) unsigned default '0'";

	// modify pdp_votes
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_votes"
		." CHANGE COLUMN did dl_id smallint(5) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_votes"
		." CHANGE COLUMN vote_opt vote_opt tinyint(1) NOT NULL default '0'";

	// modify pdp_comments
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_comments"
		." DROP PRIMARY KEY,"
		." CHANGE COLUMN id comment_id int(10) unsigned NOT NULL auto_increment,"
		." ADD PRIMARY KEY(comment_id)";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_comments"
		." CHANGE COLUMN did dl_id smallint(5) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_comments"
		." CHANGE COLUMN comment_name comment_user_name varchar(50) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_comments"
		." CHANGE COLUMN text comment_text text NOT NULL";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_comments"
		." CHANGE COLUMN datestamp comment_timestamp int(10) unsigned NOT NULL default '0'";

	// modify pdp_licenses
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_licenses"
		." DROP PRIMARY KEY,"
		." CHANGE COLUMN id license_id smallint(5) unsigned NOT NULL auto_increment,"
		." ADD PRIMARY KEY(license_id)";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_licenses"
		." CHANGE COLUMN name license_name varchar(100) NOT NULL default ''";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_licenses"
		." CHANGE COLUMN text license_text text NOT NULL";

	// modify pdp_settings
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." DROP COLUMN pmsystem";

	// modify pdp_files
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_files"
		." CHANGE COLUMN did dl_id smallint(5) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_files"
		." CHANGE COLUMN file_datestamp file_timestamp int(10) unsigned NOT NULL default '0'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_files"
		." CHANGE COLUMN file_url file_url varchar(255) NOT NULL default ''";

//
	$new_ver = "1.5.1";
	$mysql[] = "UPDATE ".DB_PREFIX."pdp_cats"
		." SET cat_sorting=REPLACE(cat_sorting, 'datestamp', 'mtime')";
	$mysql[] = "UPDATE ".DB_PREFIX."pdp_cats"
		." SET cat_sorting=REPLACE(cat_sorting, 'downloads', 'count')";
	$mysql[] = "UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_mtime=dl_ctime";

//
	$new_ver = "1.5.3";
	// downloads table
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." CHANGE COLUMN lizenz_id license_id smallint(5) unsigned NOT NULL default '0'";

	// settings table
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." DROP COLUMN uploadsaktivieren";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." CHANGE COLUMN bild image_ext varchar(200) NOT NULL default 'jpg,jpeg,gif,png'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." CHANGE COLUMN down file_ext varchar(200) NOT NULL default 'zip,rar,tar,exe,tar.gz'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." CHANGE COLUMN maxfilesize image_max int(12) unsigned NOT NULL default '1048576'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." CHANGE COLUMN maxupfilesize file_max int(12) unsigned NOT NULL default '2097152'";

//
	$new_ver = "1.5.5";
	// downloads table
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_downloads"
		." ADD COLUMN dl_broken_count tinyint(1) unsigned NOT NULL default '0'";

	// settings table
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." CHANGE COLUMN titel title varchar(100) NOT NULL"
		." default '".addslash($locale['PDP000'])."'";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." ADD COLUMN broken_count tinyint(1) unsigned NOT NULL default '0'";

//
	$new_ver = "1.5.7";
	// settings table
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." ADD COLUMN broken_text text NOT NULL";
	$mysql[] = "UPDATE ".DB_PREFIX."pdp_settings"
		." SET broken_text='".stripinput($locale['PDP143'])."'"
		." WHERE id='1'";

//
	$new_ver = "1.5.9";
	$mysql[] = "CREATE TABLE ".DB_PREFIX."pdp_log ("
		."log_id int(10) unsigned NOT NULL auto_increment,"
		."dl_id smallint(5) unsigned NOT NULL default '0',"
		."user_id smallint(5) unsigned NOT NULL default '0',"
		."log_timestamp int(10) unsigned NOT NULL default '0',"
		."log_type tinyint(1) unsigned NOT NULL default '0',"
		."log_errno tinyint(1) unsigned NOT NULL default '0',"
		."PRIMARY KEY (log_id)"
		.") TYPE=MyISAM;";

//
	$new_ver = "1.6.1";
	$set_tbl = DB_PREFIX."pdp_settings";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." ADD COLUMN pm_after_changes tinyint(1) unsigned NOT NULL default '5'";

//
	$new_ver = "1.6.3";
	$set_tbl = DB_PREFIX."pdp_settings";
	$mysql[] = "ALTER TABLE ".DB_PREFIX."pdp_settings"
		." ADD COLUMN do_log tinyint(1) unsigned NOT NULL default '1'";
	break;


// current version
case "1.6.3":
	break;


default:
	opentable($locale['PDP780']);
	echo $locale['PDP789'].": <b>1.4.6</b>";
	closetable();
	tablebreak();
	break;
}

if(!isset($new_ver)) {
	return;
}


/*
 * GUI
 */
opentable($locale['PDP780']);
echo "<p><b>".$locale['PDP781']."</b>: $old_ver -&gt; $new_ver";

echo "<p>".$locale['PDP782'];

echo "<p>".$locale['PDP783'];

$do_update = isset($_GET['do_update']);

echo "<p>".$locale['PDP785'].":
<div class='textbox' style='height:350px;overflow:auto;'><ol>\n";
$res = "";
$errors = 0;
foreach($mysql as $query) {
	if($do_update) {
		if(dbquery($query)) {
			$res = "<span class='small2'>".$locale['PDP043']
				."</span>";
		} else {
			++$errors;
			$res = "<b>".$locale['PDP787']."</b>";
		}
		$res .= " - ";
	}
	echo "<li><code>".$res.$query."</code></li>\n";
}
echo "</ol></div>\n";
if($do_update) {
	if($errors) {
		echo "<p><b>".$locale['PDP786'].":</b> $errors";
	} else {
		$ok = dbquery("UPDATE $set_tbl SET version='$new_ver'");
		echo "<p><b>".$locale['PDP790']."</b>";
	}
}

echo "<form method='get' action='".FUSION_SELF."'>\n";
if($do_update) {
	echo "<input type='submit' class='button'"
			." value='".$locale['PDP045']."'>\n";
} else {
	echo "<input type='hidden' name='do_update' value='1'>\n"
		."<input type='submit' class='button'"
			." value='".$locale['PDP784']."'>\n";
}
echo "</form>\n";


closetable();
tablebreak();

?>
