<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
if(!checkRights("IP")) {
	fallback("../index.php");
}
require_once("../include/common.php");


/*
 * GUI
 */
opentable($locale['PDP004']);
echo $pdp_admin_menu;
echo "<p><div align='center'>[ <a href='../edit_desc.php'>"
	.$locale['PDP003']."</a> ]</div></p>\n";

//
$search = array(
	"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
	"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
);
echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
	<td rowspan='2' class='tbl2' align='center'>".$locale['PDP006']."<br>
		<a href='".FUSION_SELF."'>".$locale['PDP751']."</a>"
	." | <a href='".FUSION_SELF."?show=inactive'>".$locale['PDP017']."</a>"
	." | <a href='".FUSION_SELF."?show=broken'>".$locale['PDP754']."</a>
	</td>";
for($i=0; $i<36!=""; $i++) {
	echo "<td align='center' class='tbl1'><div class='small'>"
		."<a href='".FUSION_SELF."?show=".$search[$i]."'>"
		.$search[$i]."</a></div></td>";
	if($i==17) {
		echo "\n</tr>\n<tr>\n";
//		echo "<td rowspan='2' class='tbl2'>"
//			."<a href='".FUSION_SELF."?sortby=all'>".$locale['PDP006']."</a></td>\n</tr>\n<tr>\n";
	} else {
		echo "\n";
	}
}
echo "</tr>\n</table>\n";
tablebreak();


// show all
$rowstart = 0;
if(isset($_GET['rowstart']) && isNum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
}
$show = "";
$where_show = "";
if(isset($_GET['show'])) {
	$show = $_GET['show'];
	if(strlen($show)==1) {
		$where_show = "pd.dl_name LIKE '$show%'";
		echo "<p><b>".$locale['PDP752'].":</b> $show\n";
	} elseif($show=="inactive") {
		$where_show = "pd.dl_status='N'";
		echo "<p><b>".$locale['PDP753']."</b>\n";
	} elseif($show=="broken") {
		$where_show = "pd.dl_broken_count>0";
		echo "<p><b>".$locale['PDP848']."</b>\n";
	} elseif($show=="cat" && isset($_GET['id']) && isNum($_GET['id'])) {
		$where_show = "pd.cat_id='".$_GET['id']."'";
		echo "<p><b>".$locale['PDP846']."</b>\n";
	} else {
		$where_show = "";
		$show = "";
	}
}


// FIXME
$query_id = dbquery("SELECT dl_mtime, dl_status, pd.dl_id, dl_name,"
	." version, pd.cat_id, down, dl_pic, tu.user_name,"
	." dl_homepage, pdc.cat_name, dl_broken_count"
	." FROM ".DB_PREFIX."pdp_downloads AS pd"
	." LEFT JOIN ".DB_PREFIX."users AS tu ON pd.user_id=tu.user_id"
	." LEFT JOIN ".DB_PREFIX."pdp_cats AS pdc ON pd.cat_id=pdc.cat_id"
	.(!empty($where_show) ? " WHERE $where_show" : "")
	." ORDER BY dl_name ASC"
	." LIMIT $rowstart,".$pdp_settings['per_page']);

if(!dbrows($query_id)) {
	echo "<p><b>".$locale['PDP022']."</b>\n";
} else {
	echo "
<table width='100%' cellspacing='1' class='tbl-border'>
<tr>
	<td class='tbl2' width='1%'><b>".$locale['PDP750']."</b></td>
	<td class='tbl2' width='16'></td>
	<td class='tbl2' width='16'></td>
	<td class='tbl2' width='16'></td>
	<td class='tbl2' width='16'></td>
	<td class='tbl2'><b>".$locale['PDP002']."</b></td>
	<td class='tbl2' width='1%'><b>".$locale['PDP018']."</b></td>
	<td class='tbl2' width='16'><img src='../icons/screenshot.gif' alt=''></td>
	<td class='tbl2'><b>".$locale['PDP012']."</b></td>
	<td class='tbl2' align='center' width='1%'><img src='../icons/homepage.gif'"
		." title='".$locale['PDP020']."'></td>
	<td class='tbl2' align='center'><b>".$locale['PDP052']."</b></td>
	<td class='tbl2' width='16'></td>
</tr>\n";
}
while($ddown = dbarray($query_id)) {
	$did = $ddown['dl_id'];

	if(empty($ddown['dl_pic'])) {
		$pic_icon = "";
	} else {
		$pic_icon = "<a href='".$pdp_settings['upload_image']
			.$ddown['dl_pic']."'><img src='../icons/screenshot.gif'"
			." alt='' border='0'></a>";
	}
	if($ddown['dl_status']=="N") {
		$activate_icon = "files_no.gif";
	} else {
		$activate_icon = "files_ok.gif";
	}

	echo "
<tr class='tbl1'>
	<td align='center'><img src='../icons/$activate_icon' alt=''></td>
	<td class='tbl1'><a href='../edit_desc.php?did=$did'><img"
		." src='../icons/edit.gif' alt='".$locale['PDP007']."'"
		." title='".$locale['PDP007']."' border='0'></a></td>
	<td class='tbl1'><a href='../edit_files.php?did=$did'><img"
		." src='../icons/download.gif' alt='".$locale['PDP019']."'"
		." title='".$locale['PDP019']."' border=0'></a></td>
	<td class='tbl1'><a href='../edit_comments.php?did=$did'><img"
		." src='../icons/comments.gif' alt='".$locale['PDP021']."'"
		." title='".$locale['PDP021']."' border=0'></a></td>
	<td class='tbl1'><a href='../edit_admin.php?did=$did'><img"
		." src='../icons/admin.gif' alt='".$locale['PDP450']."'"
		." title='".$locale['PDP450']."' border=0'></a></td>
	<td class='tbl1'><a href='../download.php?did=$did'>".$ddown['dl_name']
		."</a></td>
	<td class='tbl1'>".$ddown['version']."</td>
	<td align='center'>$pic_icon</td>
	<td class='tbl1'>".$ddown['cat_name']."</td>\n";
	echo "<td class='tbl1' align='center'>"
		.($ddown['dl_homepage']=="" ? "" : "x")."</td>
	<td class='tbl1' align='center'>".$ddown['user_name']."<br>"
	  	.showdate("shortdate", $ddown['dl_mtime'])."</td>
	<td class='tbl1'><a href='del_download.php?did=$did'><img"
		." src='../icons/delete.gif' alt='".$locale['PDP009']."'"
		." title='".$locale['PDP009']."' border=0'></a>"
		."</td>\n</tr>\n";
}
if(dbrows($query_id)) {
	echo "</table>\n";
}

$count = dbcount("(*)", "pdp_downloads AS pd",
	(!empty($where_show) ? "($where_show)" : ""));
if($count > $pdp_settings['per_page']) {
	tablebreak();
	$link = FUSION_SELF."?show=$show&";
	echo "<div align='center'>"
		.makePageNav($rowstart, $pdp_settings['per_page'],
		$count, $count, $link)."</div>";
}


closetable();

require_once(BASEDIR."footer.php");
?>
