<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
if(!checkRights("IP")) {
	fallback("../index.php");
}
require_once("../include/common.php");


if(isset($_GET['id']) && isNum($_GET['id'])) {
	$id = $_GET['id'];
} else {
	unset($id);
}

?>
<script type="text/javascript">
function show_license(titel, id)
{
	var wnd = window.open("../license.php?id="+id, "pro_download_license",
		"menubar=0,scrollbars=1,status=0,width=640,height=480,toolbar=0")
	if(wnd!=null) {
		wnd.focus();
	}
}
</script>
<?php


/*
 * ACTION
 */
if(isset($_POST['save'])) {
	$name = trim(stripinput($_POST['name']));
	if(empty($name)) {
		fallback(FUSION_SELF);
	}
	$text = addslash($_POST['text']);

	if(isset($id)) {
		$ok = dbquery("UPDATE ".DB_PREFIX."pdp_licenses"
			." SET license_name='$name', license_text='$text'"
			." WHERE license_id='$id'");
	} else {
		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_licenses"
			." (license_name, license_text)"
			." VALUES ('$name', '$text')");
	}
	fallback(FUSION_SELF);

} elseif(isset($_GET['del']) && isset($id)) {
	if(!dbcount("(*)", "pdp_downloads", "(license_id='$id')") != 0) {
		$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_licenses"
			." WHERE license_id='$id'");
	}
	fallback(FUSION_SELF);
}

/*
 * GUI
 */
opentable($locale['PDP800']);
echo $pdp_admin_menu;


if(isset($_GET['edit']) || isset($_GET['new'])) {
	if(isset($id)) {
		$query_id = dbquery("SELECT *"
			." FROM ".DB_PREFIX."pdp_licenses"
			." WHERE license_id='$id'");
		$data = dbarray($query_id);
		$action = FUSION_SELF."?id=$id";
	} else {
		$data['license_text'] = "";
		$data['license_name'] = "";
		$action = FUSION_SELF;
	}
	echo "<form action='$action' method='POST'>
<table align='center' cellspacing='1' class='tbl-border'>
<tr>
	<td align='center' class='tbl2'>".$locale['PDP002']
		.": <input type='text' value='".$data['license_name']."'"
		." size='40' maxlength='255' name='name' class='textbox'></td>
</tr>
<tr>
	<td class='tbl1'>
	<textarea cols='70' rows='15' class='textbox' name='text'>"
		.phpentities(stripslash($data['license_text']))."</textarea></td>
</tr>
<tr>
	<td class='tbl2' align='center'>
	<input type='submit' value='".$locale['PDP010']."' class='button'"
		." name='save'></td>
</tr>
</table>
</form>\n";
	tablebreak();
}


/*
 * show all
 */
$query_id = dbquery("SELECT CHAR_LENGTH(license_text) AS length,"
	." license_id, license_name"
	." FROM ".DB_PREFIX."pdp_licenses"
	." ORDER BY license_name ASC");
if(dbrows($query_id)) {
	echo "<table align='center' cellspacing='1' class='tbl-border'>
<tr>
	<td class='tbl2' width='16'></td>
	<td class='tbl2' width='16'></td>
	<td class='tbl2' width='150'><b>".$locale['PDP002']."</b>"
		." [<a href='".FUSION_SELF."?new=1'>"
			.$locale['PDP003']."]</a></td>
	<td class='tbl2'><b>".$locale['PDP801']."</b></td>
	<td class='tbl2'><b># ".$locale['PDP004']."</b></td>
	<td class='tbl2' width='16'></td>
</tr>";
} else {
	if(!isset($_GET['new'])) {
		fallback(FUSION_SELF."?new=1");
	}
	echo "<p>".$locale['PDP802'];
}
$tbl = "tbl1";
while($data = dbarray($query_id)) {
	$id = $data['license_id'];
	$count = dbcount("(*)", "pdp_downloads", "(license_id='$id')");
	if($count) {
		$del_icon = "<img src='../icons/nodelete.gif' alt=''>";
	} else {
		$del_icon = "<a href='".FUSION_SELF."?id=$id&amp;del=1'"
			." onClick='return confirm_delete();'"
			." title='".$locale['PDP009']."'>"
				."<img src='../icons/delete.gif' alt=''"
					." border='0'></a>";
	}
	echo "<tr>
	<td class='$tbl'><a href='javascript:show_license(\"xyz\", \"$id\");'>"
		."<img src='../icons/view.gif' alt='' border='0'></a></td>
	<td class='$tbl'><a href='".FUSION_SELF."?id=$id&amp;edit=1'"
		." title='".$locale['PDP007']."'>"
		."<img src='../icons/edit.gif' alt='' border='0'></a></td>
	<td class='$tbl'>".$data['license_name']."</td>
	<td class='$tbl'>".$data['length']."</td>
	<td class='$tbl'>$count</td>
	<td class='$tbl'>$del_icon</td>
</tr>\n";
	$tbl = ($tbl=="tbl1" ? "tbl2" : "tbl1");
}
if(dbrows($query_id)) {
	echo "</table>\n";
}

closetable();

require_once(BASEDIR."footer.php");
?>
