<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../maincore.php");
require_once("include/common.php");

if(!isset($pdp_did)) {
	fallback("download.php");
}
if(!isset($_GET['file_id']) || !isNum($_GET['file_id'])) {
	fallback("download.php?did=$pdp_did");
}

$file_id = $_GET['file_id'];


/*
 *
 */
if($file_id) {
	$query_id = dbquery("SELECT file_url"
		." FROM ".DB_PREFIX."pdp_files"
		." WHERE file_id='$file_id' AND dl_id='$pdp_did'");
	if(!dbrows($query_id)) {
		fallback("download.php?did=$pdp_did");
	}
	$fdata = dbarray($query_id);
}


if($pdp_dl['lizenz_okay']=="N" || isset($_GET['dlok'])) {
	$url = "";
	$filename = "";
	$parse_url = true;

	if($file_id && !empty($fdata['file_url'])) {
		$url = $fdata['file_url'];
	} elseif(!empty($pdp_dl['down'])) {
		$url = $pdp_dl['down'];
	} else {
		$url = $pdp_dl['link_extern'];
		$parse_url = false;
	}

	if($parse_url) {
		if(pdp_is_external($url)) {
			$downlink = $url;
		} else {
			$downlink = $pdp_settings['upload_file'].$url;
			$filename = pdp_cleanup_filename($url);
		}
	} else {
		$downlink = $url;
	}

	$update = dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_count=dl_count+1 WHERE dl_id='$did'");

	if(empty($filename)) {
		redirect($downlink);
	} else {
		ob_end_clean();
		header("Content-Type: application/octet-stream");
		header("Content-Disposition: attachment; filename=$filename");
		header("Content-Length: ".filesize($downlink));
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		readfile($downlink);
	}

// show license
} else {
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

	opentable($pdp_settings['title']);
	echo "<div align='center'><p><a href='download.php?did=$pdp_did'>"
		.$locale['PDP026']."</a></div>\n";;

	// get from database
	if($pdp_dl['license_id']) {
		$query_id = dbquery("SELECT *"
			." FROM ".DB_PREFIX."pdp_licenses"
			." WHERE license_id='".$pdp_dl['license_id']."'");
		$data = dbarray($query_id);

		echo "<p><b>".$data['license_name']."</b>\n"
			."<div style='height:320; overflow:auto;'"
				." class='textbox'>\n"
			.stripslash(nl2br($data['license_text']))
			."\n</div>\n";

	//
	} else {
		if($pdp_dl['lizenz_url']) {
			echo "<p><b>".$locale['PDP402']."</b>";
			echo "<p><b>".$locale['PDP404']."</b>";
			echo "<p><a href='http://".$pdp_dl['lizenz_url']."'>"
				.$locale['PDP405']."</a>";

		} else {
			echo "<b>\n";
			if($pdp_dl['lizenz_packet']=="Y") {
				echo "<p>".$locale['PDP402'];
				echo "<p>".$locale['PDP403'];
			} else {
				echo "<p>".$locale['PDP406'];
			}
			echo "</b>\n";
		}
	}

	// confirm dialog
	echo "<div align='center'>
<form method='GET' action='".FUSION_SELF."'>
<input type='hidden' name='did' value='$did'>
<input type='hidden' name='file_id' value='$file_id'>
<p><input type='checkbox' name='dlok'> ".$locale['PDP400']."
<p><input type='submit' class='button' value='".$locale['PDP401']."'"
	." class='button'>
</form>
</div>\n";
	closetable();
require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
}

?>
