<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	header("Location: ../download.php");
	exit;
}


$pdp_user_access = "";
if(iPDP_EDIT) {
	if(iPDP_ADMIN) {
		$pdp_user_access = "";
	} else {
		$pdp_user_access = " AND user_id='".$userdata['user_id']."'";
	}

	// create edit menu
	$pdp_edit_menu = "<table border='0' cellspacing='0' cellpadding='0'"
		." width='100%'>\n"
		."<tr><td>
			<b>".$pdp_dl['dl_name'].":</b> "
			."<a href='download.php?did=$pdp_did'>"
				.$locale['PDP026']."</a>\n";
	if(iPDP_ADMIN) {
		$pdp_edit_menu .= " - <a href='admin/downloads.php'>"
				.$locale['PDP036']."</a>\n";
	}
	$pdp_edit_menu .= "<br><b>".$locale['PDP007'].":</b> "
			."<a href='edit_desc.php?did=$pdp_did'>"
				.$locale['PDP025']."</a>\n"
			." - <a href='edit_files.php?did=$pdp_did'>"
				.$locale['PDP019']."</a>\n"
			." - <a href='edit_pics.php?did=$pdp_did'>"
				.$locale['PDP015']."</a>\n";
	if(iPDP_ADMIN) {
		$pdp_edit_menu .= " - <a href='edit_comments.php?did=$pdp_did'>"
			.$locale['PDP021']."</a>\n";
		$pdp_edit_menu .= " - <a href='edit_admin.php?did=$pdp_did'>"
			.$locale['PDP450']."</a>\n";
	}
	$pdp_edit_menu .= "</td>\n"
		."<td valign='top' align='right'><b>".$locale['PDP452'].":</b> "
			.strtoupper($locale['PDP904'][$pdp_dl['dl_status']]);
	if(iPDP_ADMIN) {
		$pdp_edit_menu .= "<br><a href='admin/del_download.php"
			."?did=$pdp_did'>".$locale['PDP880']."</a>";
	}
	$pdp_edit_menu .= "</td>\n"
		."</tr>\n</table><hr>\n";
}





function pdp_upload_step($step, $next_addr="") {
	global $locale, $pdp_did;

	if(!isNum($step) || !isset($locale['PDP042'][$step])) {
		return;
	}

	opentable($locale['PDP047']);
	echo "<p>".$locale['PDP048'];

	$i = 1;
	foreach($locale['PDP042'] as $id => $title) {
		if($i==$step) {
			$title = "<b>$title</b>";
			$img = "step_now";
		} elseif($i<$step) {
			$title = "<span class='small2'>$title</span>";
			$img = "files_ok";
		} else {
			$img = "files_no";
		}
		echo "<p><img src='icons/$img.gif' alt='' align='top'> $title<br>\n";
		$i++;
	}

	if(!empty($next_addr)) {
		echo "<p><div align='center'>[ <a href='$next_addr?did=$pdp_did'>"
			."<b>".$locale['PDP045']."</b></a> ]</div>\n";
	}

	closetable();
	tablebreak();
}


function pdp_upload_file($upload, $uploaddir, $maxfilesize, $ext,
	&$ret_filename) {

	if($upload['error']) {
		return PDP_EUPLOAD+$upload['error'];
	}

	if(!is_uploaded_file($upload['tmp_name'])) {
		return PDP_EUPLOAD;
	}
	if($upload['size'] > $maxfilesize) {
		return PDP_ESIZE;
	}

	// check filename for invalid chars.
	$patterns = array('//', '//', '//', '//', '//', '//', '//',
		'/[^\w._-]/');
	$replace = array('ue', 'oe', 'ae', 'Ue', 'Oe', 'Ae', 'ss', '_');
	$filename = preg_replace($patterns, $replace,
		strtolower($upload['name']));

	$posext = 0;
	foreach($ext as $try_this) {
		$upload_ext = substr($filename, -strlen($try_this));
		if($upload_ext==$try_this) {
			$posext = strlen($filename) - strlen($try_this);
			break;
		}
	}
	if(!$posext) {
		return PDP_EEXT;
	}

	$fileoext = substr($filename, 0, $posext);
	$upload_name = $fileoext.$upload_ext;
	// create a filename
	$i = 1;
	while(file_exists($uploaddir.$upload_name)) {
		$upload_name = $fileoext."__$i".$upload_ext;
		++$i;
		// FIXME: need an exit-condition?
	}

	if(!move_uploaded_file($upload['tmp_name'],
			$uploaddir.$upload_name)
		|| !chmod($uploaddir.$upload_name, 0666)) {	// oder 0644
		return PDP_EUPLOAD;
	}

	$ret_filename = $upload_name;
	return 0;	// no errors
}




?>
