<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	header("Location: download.php");
	exit;
}


function show_cats($catid, $is_did, $hide_cats) {
	global $locale, $sorting;
	$access_ok = NULL;

	$depth = 4;
	$localid = $catid;
	$path = array();
	while(--$depth>=0) {
		$topcat_id = dbquery("SELECT cat_id, cat_name, top_cat,"
			." cat_sorting, cat_access"
			    ." FROM ".DB_PREFIX."pdp_cats"
			    ." WHERE cat_id='$localid'");
		if(!$topcat_id || dbrows($topcat_id)==0) {
			break;
		}
		$topcat = dbarray($topcat_id);
		if($localid == $catid) {
			$access_ok = (pdp_check_access($topcat['cat_access'])
				? NULL : $topcat['cat_access']);
		}

		if($localid==$catid) {
			$sorting = $topcat['cat_sorting'];
		}

		$localid = $topcat['top_cat'];
		$path[] = "<a href='".FUSION_SELF
			."?catid=".$topcat['cat_id']."'>"
				.$topcat['cat_name']."</a>";

		if($localid==0) {
			break;
		}
	}

	if($depth < 0) {
		$path[] = "..";
	}
	$path[] = "<a href='".FUSION_SELF."?catid=0'>".$locale['PDP820']."</a>";
	if(!$is_did && count($path)) {
		$path[0] = "<b>".strip_tags($path[0])."</b>";
	}

	// wibix DISPLAY PATH
	$path = array_reverse($path);
	$path_str = "";
	foreach($path as $entry) {
		$path_str .= "$entry\n<div style='padding-left:10px;'>\n";
	}
	foreach($path as $entry) {
		$path_str .= "</div>\n";
	}
	$depth = count($path);

	// wibix do not show sub cats on a specific download
	echo "<table border='0' width='100%' cellspacing='1'"
		." cellpadding='2' class='tbl-border'>\n"
		."<tr><td colspan='2' class='tbl2'>$path_str</td>";
	if($is_did) {
		echo "</tr>\n";
		echo "</table>\n";
		return $access_ok;
	}

	$cats = dbquery("SELECT * FROM ".DB_PREFIX."pdp_cats"
		." WHERE top_cat='$catid' ORDER by cat_name");
	if(dbrows($cats)) {
		echo "<td width='1%' valign='bottom' class='tbl2'>"
			."<b>".$locale['PDP222']."</b></td>"
			."<td width='1%' valign='bottom' class='tbl2'>"
			."<b>".$locale['PDP004']."</b></td></tr>";
	}
	$depth = ($depth*10);
	if(iPDP_ADMIN) {
		$count_where = "";
	} elseif(iMEMBER) {
		$count_where = " AND (dl_status!='".PDP_PRO_OFF."'"
			." OR user_id='".$userdata['user_id']."')";
	} else {
		$count_where = " AND dl_status!='".PDP_PRO_OFF."'";
	}
	while($cdata = dbarray($cats)) {
		if(!pdp_check_access($cdata['cat_access'])) {
			continue;
		}
		$anz_d = pdp_count_dl($cdata['cat_id'], $count_where);
		$anz_c = pdp_count_cats($cdata['cat_id']);

		echo "<tr>\n<td class='tbl2' width='$depth'></td>"
			."<td class='tbl1'>"
			."<img src='".THEME."images/bullet.gif'>"
				." <b><a href='".FUSION_SELF
				."?catid=".$cdata['cat_id']."'>"
				.$cdata['cat_name']."</a></b>";

		if(!empty($cdata['cat_desc'])) {
			echo "<br/><span class='small2'>"
				.parseubb($cdata['cat_desc'])."</span>";
		}
		echo "</td>\n"
			."<td align='center' class='tbl2' valign='top'>"
				.($anz_c ? $anz_c : "")."</td>\n"
			."<td align='center' class='tbl2' valign='top'>"
				.($anz_d ? $anz_d : "")."</td></tr>\n";
		echo "</tr>\n";
	}
	echo "</table>\n";

	return $access_ok;
}
?>
