<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
if(!checkRights("IP")) {
	fallback("../index.php");
}
require_once("../include/common.php");


?>
<script type="text/javascript">
function verify_save(frm) {
	if(frm.cat_name.value=="") {
		alert("<?php echo $locale['PDP011']; ?>");
		return false;
	}
	return true;
}
</script>
<?php


if(isset($_GET['id']) && isNum($_GET['id']) && $_GET['id']!=0) {
	$id = $_GET['id'];
} else {
	unset($id);
}


/*
 * ACTION!
 */
// insert new or update existing.
if(isset($_POST['save'])) {
	$name = stripinput($_POST['cat_name']);
	$desc = stripinput($_POST['desc']);
	$sorting = stripinput($_POST['sort_field'])." "
		.stripinput($_POST['sort_dir']);
	$top_cat = stripinput($_POST['top_cat']);
	$access = stripinput($_POST['access']);

	if(!isset($id)) {
		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_cats"
			." (top_cat) VALUES ('$top_cat')");
		$id = mysql_insert_id();
	}

	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_cats"
		." SET top_cat='$top_cat',"
		." cat_name='$name',"
		." cat_desc='$desc',"
		." cat_sorting='$sorting',"
		." cat_access='$access'"
		." WHERE cat_id='$id'");
	if($ok) {
		fallback(FUSION_SELF);
	}

} elseif(isset($_GET['del']) && isset($id)) {
	if(dbcount("(*)", "pdp_downloads", "cat_id='$id'")==0
		&& dbcount("(*)", "pdp_cats", "top_cat='$id'")==0) {
		$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_cats"
			." WHERE cat_id='$id'");
	}
	fallback(FUSION_SELF);
}


// edit form
$top_cat = 0;
if(isset($_GET['new']) || isset($_GET['edit'])) {
	if(isset($id)) {
		$query_id = dbquery("SELECT *"
			." FROM ".DB_PREFIX."pdp_cats"
			." WHERE cat_id='$id'");
		if(!dbrows($query_id)) {
			fallback(FUSION_SELF);
		}
		$data = dbarray($query_id);
		$name = $data['cat_name'];
		$desc = $data['cat_desc'];
		$sorting = explode(" ", $data['cat_sorting']);
		$access = $data['cat_access'];
		$top_cat = $data['top_cat'];

		$action = FUSION_SELF."?id=$id";

	} else {
		$name = "";
		$desc = "";
		$sorting[0] = $locale['PDP823']['name'];
		$sorting[1] = $locale['PDP824']['ASC'];
		$access = 0;
		$top_cat = 0;

		$action = FUSION_SELF;
	}

//FIXME - rewrite
	$access_ops = "";
        $user_groups = getusergroups();
        while(list($key, $user_group) = each($user_groups)){
                $sel = ($access == $user_group['0'] ? " selected" : "");
                $access_ops .= "<option value='".$user_group['0']."'$sel>"
			.$user_group['1']."</option>\n";
        }

	$sel_sort_by = "";
	foreach($locale['PDP823'] as $col => $text) {
		$sel_sort_by .= "<option value='$col'"
			.($sorting[0]==$col ? " selected" : "")
			.">$text</option>\n";
	}

	$sel_sort_dir = "";
	foreach($locale['PDP824'] as $col => $text) {
		$sel_sort_dir .= "<option value='$col'"
			.($sorting[1]==$col ? " selected" : "")
			.">$text</option>\n";
	}
}


/*
 * GET
 */
$all_cats = array();

$query_id = dbquery("SELECT  cat_name, top_cat, cat_id, cat_access, cat_sorting"
	." FROM ".DB_PREFIX."pdp_cats"
	." ORDER BY top_cat, cat_name ASC");
while($data = dbarray($query_id)) {
	$all_cats[$data['cat_id']] = array(
		"name"		=> $data['cat_name'],
		"parentcat"	=> $data['top_cat'],
		"access"	=> $data['cat_access'],
		"sorting"	=> $data['cat_sorting'],
	);
}
function pdp_tmp_show_cat($parentid, $cat_array, $level, $prev, $sel_this,
	&$ret_array) {
	$retval = "";
	foreach($cat_array as $myid => $thiscat) {
	//FIXME
		if(!pdp_check_access($thiscat['access'])) {
			continue;
		}
		if($myid==$parentid) {
			$ret_array[$myid] = array(
				"name"		=> $thiscat['name'],
				"access"	=> $thiscat['access'],
				"sorting"	=> $thiscat['sorting'],
				"level"		=> ($level-1),
			);
			$retval .= "<option value='$myid'"
				.($sel_this==$myid ? " selected" : "")
				.">$prev"
				.$thiscat['name']."</option>";
			$prev .= "&nbsp;&nbsp;&nbsp;&nbsp;";
		} elseif($thiscat['parentcat']==$parentid) {
			$retval .= pdp_tmp_show_cat($myid, $cat_array,
				$level+1, $prev, $sel_this, $ret_array);
		}
	}
	return $retval;
}

$cats_for_table = array();
$sel_cats = "<option value='0'>".$locale['PDP821']."</option>\n"
	.pdp_tmp_show_cat(0, $all_cats, 0, "", $top_cat, $cats_for_table);


/*
 * GUI
 */
opentable($locale['PDP820']);
echo $pdp_admin_menu;



if(isset($_GET['new']) || isset($_GET['edit'])) {
	echo "<p>
<form action='$action' method='POST' onSubmit='return verify_save(this);'"
	." name='inputform'>
<table align='center' cellspacing='1' class='tbl-border'>
<tr>
	<td class='tbl2'>".$locale['PDP002'].": *</td>
	<td class='tbl1'><input type='text' size='50' maxlength='50'"
		." class='textbox' name='cat_name' value='$name'></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP012'].":</td>
	<td class='tbl1'><select name='top_cat' size='1' class='textbox'>"
		."$sel_cats</select></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP822'].":</td>
	<td class='tbl1'><select name='sort_field' class='textbox'>"
		.$sel_sort_by."</select> <select name='sort_dir'"
			." class='textbox'>$sel_sort_dir</select>
	</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP014'].":</td>
	<td class='tbl1'><select name='access' class='textbox'>"
		."$access_ops</select></td>
</tr>
<tr>
	<td class='tbl2'></td>
	<td class='tbl1'>
		<textarea cols='70' rows='5' maxlength='255' class='textbox'"
		." name='desc'>$desc</textarea><br>"
		.pdp_get_bb_smileys("desc", "0", false)."</td>
</tr>
<tr>
	<td class='tbl2' colspan='2' align='center'><input type='submit'"
		." value='".$locale['PDP010']."' class='button' name='save'>
	</td>
</tr>
</table>
</form>
</p>";
}


// show all cats
if(count($cats_for_table)) {
	echo "<table align='center' class='tbl-border' cellspacing='1'>
<tr>
	<td class='tbl2' width='16'></td>
	<td class='tbl2'><b>".$locale['PDP002']."</b>"
		." [<a href='".FUSION_SELF."?new=1'>".$locale['PDP003']
		."</a>]</td>
	<td class='tbl2' align='center'><b>".$locale['PDP014']."</b></td>
	<td class='tbl2' align='center' colspan='2'><b>".$locale['PDP822']."</b></td>
	<td class='tbl2' width='1' colspan='2' align='center'><b>"
		.$locale['PDP004']."</b></td>
	<td class='tbl2' width='16'></td>
</tr>\n";
$count = 1;
} else {
	if(!isset($_GET['new'])) {
		fallback(FUSION_SELF."?new=1");
	}
	echo "<p>".$locale['PDP825'];
}
foreach($cats_for_table as $cid => $data) {
	$edit_icon = "<a href='".FUSION_SELF."?id=$cid&amp;edit=1'"
		." title='".$locale['PDP007']."'>"
		."<img src='../icons/edit.gif' alt='' border='0'></a>";
	$tbl = "tbl".(1 + (++$count%2));
	$sorting = explode(" ", $data['sorting']);

	$dl_count = dbcount("(*)", "pdp_downloads", "(cat_id='$cid')");
	$child_cats = dbcount("(*)", "pdp_cats", "(top_cat='$cid')");

	if($dl_count || $child_cats) {
		$del_icon = "<img src='../icons/nodelete.gif'"
			." alt='' border='0'>";
	} else {
		$del_icon = "<a href='".FUSION_SELF."?id=$cid&amp;del=1'"
			." onClick='return confirm_delete();'"
			." title='".$locale['PDP009']."'>"
				."<img src='../icons/delete.gif'"
				." alt='' border='0'></a>";
	}
	if($dl_count) {
		$view_icon = "<a href='downloads.php?show=cat&amp;id=$cid'>"
			."<img src='../icons/view.gif' border='0' alt=''></a>";
	} else {
		$view_icon = "";
	}

	echo "<tr>
	<td class='$tbl'>$edit_icon</td>
	<td class='$tbl'><span style='margin-left:".($data['level']*15)."px;'>"
		.$data['name']."</span></td>
	<td class='$tbl'>".getgroupname($data['access'])."</td>
	<td class='$tbl' align='center'>".$locale['PDP823'][$sorting[0]]."</td>
	<td class='$tbl' align='center'>".$locale['PDP824'][$sorting[1]]."</td>
	<td class='$tbl' width='16'>$view_icon</td>
	<td class='$tbl' align='center'>$dl_count</td>
	<td class='$tbl'>$del_icon</td>
</tr>\n";
}
if(count($cats_for_table)) {
	echo "</table>\n";
}

closetable();

require_once(BASEDIR."footer.php");
?>
