<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
if(!checkRights("IP")) {
	fallback("../index.php");
}
require_once("../include/common.php");
if(!isset($pdp_did)) {
	fallback("downloads.php");
}


/*
 * GUI
 */
opentable($locale['PDP880']);
echo $pdp_admin_menu;

$do_del = isset($_POST['del']);

echo $locale['PDP881'].":";


echo "<form action='".FUSION_SELF."?did=$pdp_did' method='post'"
	." onSubmit='return confirm_delete();'>\n";

// download
echo "<br><br><b>".$locale['PDP125'].":</b> "
	."<a href='download.php?did=$pdp_did'>".$pdp_dl['dl_name']."</a>\n";
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_downloads"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// screenshots
echo "<br><br><b>".$locale['PDP028'].":</b> ".$pdp_dl['dl_pic'];
if($do_del && !empty($pdp_dl['dl_pic'])) {
	$ok = unlink($pdp_settings['upload_image'].$pdp_dl['dl_pic']);
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// votes
echo "<br><br><b>".$locale['PDP202'].":</b> "
	.dbcount("(*)", "pdp_votes", "(dl_id='$pdp_did')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_votes"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// comments
echo "<br><br><b>".$locale['PDP021'].":</b> "
	.dbcount("(*)", "pdp_comments", "(dl_id='$pdp_did')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_comments"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// logs
echo "<br><br><b>".$locale['PDP454'].":</b> "
	.dbcount("(*)", "pdp_log", "(dl_id='$pdp_did')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_log"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// files
echo "<br><br><b>".$locale['PDP019'].":</b>";
if(!is_writeable($pdp_settings['upload_file'])) {
	echo " <span class='small2'>"
		.str_replace("%s", "<b>".$pdp_settings['upload_file']."</b>",
			$locale['PDP885'])
		."</span>\n";
}
$query_id = dbquery("SELECT file_url, file_id FROM ".DB_PREFIX."pdp_files"
	." WHERE dl_id='$pdp_did'");
if(dbrows($query_id)) {
	echo "<ul>\n".$locale['PDP886']."<br>\n";
}
if($do_del) {
	if(isset($_POST['del_this'])) {
		$del_this = $_POST['del_this'];
	} else {
		$del_this = array();
	}
}
while($data = dbarray($query_id)) {
	$del = "";
	if($do_del && !pdp_is_external($data['file_url'])
		&& in_array($data['file_id'], $del_this)) {
		$ok = unlink($pdp_settings['upload_file'].$data['file_url']);
		if($ok) {
			$del = " - ".$locale['PDP883'];
		}
	}
	echo "<input type='checkbox' name='del_this[]'"
		." value='".$data['file_id']."'> "
		.pdp_cleanup_filename($data['file_url'])."$del<br>\n";
}
if(dbrows($query_id)) {
	echo "</ul>\n";
}
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_files"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// GO!
if(!$do_del) {
	echo "<br><br>
<input type='hidden' name='del' value='1'>
<input type='submit' class='button' value='".$locale['PDP009']."'>
</form>\n";
} else {
	echo "<p><b>".$locale['PDP884']."</b>\n";
	echo "<p><a href='downloads.php'>".$locale['PDP036']."</a>\n";
}

closetable();

require_once(BASEDIR."footer.php");
?>
